> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/zec/qos-policy-group/addqospolicygroupmembers.md).

# AddQosPolicyGroupMembers

## 1. 接口描述

本接口(AddQosPolicyGroupMembers)用于向QoS策略组中添加EIP、IPv6或UNMANAGED出口IP。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称             | 必选 | 类型                                                                                           | 描述                                                                                                                                       |
| ---------------- | -- | -------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| qosPolicyGroupId | 是  | String                                                                                       | <p>QoS策略组ID。</p><p>可通过调用 <a href="/api-reference/cn/zec/qos-policy-group/describeqospolicygroups.md">DescribeQosPolicyGroups</a> 获取。</p> |
| members          | 是  | Array of [QosPolicyGroupMember](/api-reference/cn/zec/datastructure.md#qospolicygroupmember) | 要加入策略组的成员列表。                                                                                                                             |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 向QoS策略组中添加成员。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: AddQosPolicyGroupMembers
<Common Request Params>

Request：
{
  "qosPolicyGroupId": "qpg-xxxxxxxx",
  "members": [
    {
      "resourceId": "eip-xxxxxxxx",
      "ipType": "Eip"
    },
    {
      "resourceId": "ipv6-xxxxxxxx",
      "ipType": "Ipv6"
    }
  ]
}

Response：
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                       | 说明                                 |
| ------- | ----------------------------------------- | ---------------------------------- |
| 404     | INVALID\_QOS\_POLICY\_GROUP\_NOT\_FOUND   | QoS策略组不存在。                         |
| 409     | INVALID\_RESOURCE\_ALREADY\_IN\_GROUP     | 资源已在其他策略组中。                        |
| 400     | INVALID\_RESOURCE\_TYPE\_INVALID          | 资源类型不支持。                           |
| 400     | INVALID\_RESOURCE\_REGION\_MISMATCH       | 资源跨地域，无法加入策略组。                     |
| 400     | INVALID\_RESOURCE\_STATUS\_NOT\_AVAILABLE | 资源当前状态不支持加入策略组，仅稳态（已绑定或未绑定）资源允许加入。 |
